%define prefix /usr/local
Summary: Calender application made with Tcl/Tk
Name: jp-ical 
Version: 2.2
Release: 1c
Source: http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/icalbins/ical-2.2.tar.gz
Patch: ical-2.2-jp1.patch
Copyright: distributable
Group: Applications/Productivity
BuildRoot: /tmp/ical-root

%description
From the README:
Ical is a calendar application.  Some of the important features are:

    * Items can be created edited and deleted easily.
    * Items can be made to repeat in various ways.
    * Ical will post reminders for upcoming appointments.
    * Ical can print and list item occurrences.
    * Ical calendars can be shared by different users.
See also Ical homepage:
http://www.research.digital.com/SRC/personal/Sanjay_Ghemawat/ical/home.html

%prep
%setup -n ical-2.2
%patch -p1
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{prefix}/man

%build
./configure --with-tclsh='%{prefix}/bin/tclsh7.6jp' \
	--with-tclconfig='%{prefix}/lib' \
	--with-tkconfig='%{prefix}/lib' \
	--with-tclhdir='%{prefix}/include' \
	--with-tkhdir='%{prefix}/include'
make OPTF='-O -DKANJI -DKINPUT2' X_LIBS='-L/usr/X11R6/lib -lX11'

%install
make install prefix="$RPM_BUILD_ROOT%{prefix}"

strip $RPM_BUILD_ROOT%{prefix}/bin/ical-2.2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ANNOUNCE CHANGES.html COPYRIGHT* README INSTALL TODO doc/ical.html doc/interface.html
%{prefix}/bin/ical-2.2
%{prefix}/bin/ical
%{prefix}/man/man1/ical.1
%{prefix}/lib/ical

